Bug 1014329 - Cannot set font for vconsole on grub2 command line [NEEDINFO]
Cannot set font for vconsole on grub2 command line
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 13:57 EDT by John
Modified: 2014-12-10 10:02 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 10:02:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description John 2013-10-01 13:57:10 EDT
Description of problem:
Due to small character size on my monitor I want to use the latarcyrheb-sun32 font for my vconsole.  On boot I edit the Grub2 menu entry, and change the vconsole.font=latarcyrheb-sun16 to latarcyrheb-sun32. ( I actually only change the 16 to a 32 ) After boot completion the I change to tty2 via ctl-alt-F2 and there has been no affect on font size.

Version-Release number of selected component (if applicable):
Fedora release 20 (Heisenbug)  (copy from /etc/fedora-release)

How reproducible:
fails every time


Steps to Reproduce:
1.Install F20 Alpha release
2.boot and edit vconsole.font= on linux command line
3.complete boot sequence, log in and switch to tty2 via ctl-alt-F2

Actual results:
tty font remains un-affected by change to vconsole.font=  


Expected results:
new font selection should be used by all tty vconsoles

Additional info:
/proc/cmdline:
BOOT_IMAGE=/vmlinuz-3.11.1-300.fc20.x86_64 root=UUID=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx ro vconsole.font=latarcyrheb-sun32 vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8
Comment 1 John 2013-10-01 14:04:31 EDT
logging on to a vconsole (tty2) and issuing "setfont latarcyrheb-sun32" command is successful in changing the font for that terminal.
Comment 2 John 2013-10-01 18:40:09 EDT
lspci
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Juniper XT [Radeon HD 6770]


Xorg.0.log
(II) LoadModule: "fbdev"
(II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.14.2, module version = 0.4.3
 	Module class: X.Org Video Driver
 	ABI class: X.Org Video Driver, version 14.1
Comment 3 Alexey Torkhov 2013-12-10 08:12:53 EST
I have similar issue with Final TC5.

In /etc/vconsole.conf I have:
KEYMAP=us-acentos
FONT=latarcyrheb-sun16

In kernel cmdline: vconsole.font=latarcyrheb-sun16

But font on console does render non-ASCII symbols with squares.

Here is workaround that was used to fix it in previous versions: https://github.com/elemc/workaround-cyrillic-console/blob/master/setup-cyrfont%40.service
Comment 4 Alexey Torkhov 2013-12-10 08:22:02 EST
The problem might be that fonts are missing from generated initramfs:

# lsinitrd /boot/initramfs-3.11.10-300.fc20.x86_64.img | grep lararcyrheb
Returns nothing
Comment 5 Alexey Torkhov 2013-12-10 08:47:19 EST
(In reply to Alexey Torkhov from comment #4)
> The problem might be that fonts are missing from generated initramfs:
> 
> # lsinitrd /boot/initramfs-3.11.10-300.fc20.x86_64.img | grep lararcyrheb
> Returns nothing

There was a typo. It actually contains latarcyrheb-sun16.psfu.gz.
Comment 6 Adam Williamson 2013-12-10 11:41:13 EST
this is probably the same thing as all the F19-era reports about not displaying 'schrodinger's cat' properly on the console. There's something screwy about the console font settings somewhere.
Comment 7 Harald Hoyer 2014-01-22 05:53:06 EST
(In reply to John from comment #0)
> 3.complete boot sequence, log in and switch to tty2 via ctl-alt-F2

actually, that is a kernel bug

tty2 should inherit the settings from tty1
Comment 8 Justin M. Forbes 2014-02-24 09:02:58 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 9 Alexei Panov 2014-02-24 16:16:46 EST
Bug is still persist.
Screenshot http://yadi.sk/d/Xo3QlCbvJV6KW
Comment 10 John 2014-02-25 09:21:15 EST
(In reply to Justin M. Forbes from comment #8)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 20 kernel bugs.
> 
> Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel
> update and let us know if you issue has been resolved or if it is still
> present with the newer kernel.
> 
> If you experience different issues, please open a new bug report for those.

Conditions remain "exactly" as reported.

My system with all yum updates as of 2/25/14. (you should at least baseline at what we see in repos )

cat /proc/cmline now is:

BOOT_IMAGE=/vmlinuz-3.13.3-201.fc20.x86_64 root=UUID=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx ro rootflags=subvol=root00 vconsole.font=latarcyrheb-sun32 rhgb quiet LANG=en_US.UTF-8
Comment 11 John 2014-02-26 11:24:09 EST
Conditions remain "exactly" as reported.

My system with all yum updates as of 2/26/14.

cat /proc/cmdline

BOOT_IMAGE=/vmlinuz-3.13.4-200.fc20.x86_64 root=UUID=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx ro rootflags=subvol=root00 vconsole.font=latarcyrheb-sun32 rhgb quiet LANG=en_US.UTF-8
Comment 12 John 2014-05-23 10:35:26 EDT
Conditions remain "exactly" as reported.

My system with all yum updates as of 5/23/2014.

cat /proc/cmdline

BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=UUID=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx ro rootflags=subvol=root00 vconsole.font=latarcyrheb-sun32 rhgb quiet LANG=en_US.UTF-8
Comment 13 Alan Hamilton 2014-06-22 15:03:20 EDT
I had trouble initially, but the issue was that the fonts weren't in the initrd. Running "dracut --force" fixed it. dracut runs on new kernel installations, so I haven't had the issue since.

cat /proc/cmdline

BOOT_IMAGE=/vmlinuz-3.14.8-200.fc20.x86_64 root=UUID=e18109cc-3e19-4713-98ab-406a69111120 ro crashkernel=128M vconsole.font=ter-128b

lsinitrd | grep ter-128b

-rw-r--r--   1 root     root         2931 Nov 28  2013 usr/lib/kbd/consolefonts/ter-128b.psf.gz

Does dmesg show any errors loading the font? Are there any grub2 settings that affect the screen? GRUB_GFXPAYLOAD_LINUX, GRUB_GFXMODE, GRUB_TERMINAL, etc.
Comment 14 John 2014-06-26 09:03:21 EDT
My original bug report identified that editing the GRUB command line to request "latarcyrheb-sun32" font would not work. On my Fedora 20 installation the command line as created from the kernel update rpm is:

cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.14.8-200.fc20.x86_64 root=UUID=a5ddc96e-1b00-4926-b340-20e7e151acf8 ro rootflags=subvol=root00 vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8

When I edit the command line during boot, I successfully see:

cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.14.8-200.fc20.x86_64 root=UUID=a5ddc96e-1b00-4926-b340-20e7e151acf8 ro rootflags=subvol=root00 vconsole.font=latarcyrheb-sun32 rhgb quiet LANG=en_US.UTF-8

However, changing to a console tty2 via ctl-alt-F2 shows no change in font size.
Issue is the same for consoles 3-6.

If I login on a console and issue "setfont latarcyrheb-sun32", the font change is successful.

I am now at release 3.14.8-200.fc20.x86_64. Bug was initiated at release 3.11.1-300.fc20.x86_64.

Conditions remain the same as originally reported.

I do not know how GRUB decides the font on the original command line. I assume the original command line font is defined in update rpm. If the original ~sun16 font is not a distribution default, I would appreciate feedback on the correct way to achieve larger console fonts.
Comment 15 John 2014-06-26 09:09:33 EDT
BTW 

lsinitrd | grep sun32
-rw-r--r--   1 root     root         5171 Nov 27  2013 usr/lib/kbd/consolefonts/latarcyrheb-sun32.psfu.gz
Comment 16 Justin M. Forbes 2014-11-13 11:03:39 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 17 Justin M. Forbes 2014-12-10 10:02:33 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.